</body>
<script>
   const btns = document.getElementsByClassName('copy-btn');
   Array.from(btns).forEach((btn) => {
      btn.addEventListener('click', function() {
      let copyText = document.getElementsByClassName('linha-digitavel')[0].innerText;
      copyText = copyText.replace(/[^0-9]/g, '');
      navigator.clipboard.writeText(copyText);
      alert("Codigo de barras copiado para a área de transferencia!")
      })
   })   
</script>
</html>